#
# spec file for package sxhkd
#
# Copyright (c) 2021 SUSE LLC
# Copyright (c) 2017 Luke Jones, luke.nukem.jones@gmail.com
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           sxhkd
Version:        0.6.2
Release:        1.13
Summary:        Simple X hotkey daemon
License:        BSD-2-Clause
Group:          System/GUI/Other
URL:            https://github.com/baskerville/sxhkd
Source0:        https://github.com/baskerville/sxhkd/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/baskerville/bspwm/master/examples/sxhkdrc
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-keysyms)
BuildRequires:  pkgconfig(xcb-util)

%description
sxhkd is a simple X hotkey daemon with a powerful and compact configuration syntax.

%prep
%setup -q

%build
export CPPFLAGS="%{optflags}"
%make_build

%install
%make_install PREFIX=%{_prefix} DOCPREFIX=%{_docdir}/%{name}
install -D -p -m 644 %{SOURCE1} \
        %{buildroot}%{_sysconfdir}/skel/.config/sxhkd/sxhkdrc

%files
%license LICENSE
%{_bindir}/sxhkd
%{_mandir}/man1/sxhkd.1%{?ext_man}
%{_docdir}/%{name}
%dir %{_sysconfdir}/skel/.config/
%{_sysconfdir}/skel/.config/sxhkd
%config %{_sysconfdir}/skel/.config/sxhkd/sxhkdrc

%changelog
* Fri Jan 15 2021 Dirk Müller <dmueller@suse.com>
- update to 0.6.2:
  * Make it build with GCC 10
  * Use preferred X screen
  * Sequences can't be nested
* Thu Jun 11 2020 Florian Besser <fbesser@gmail.com>
- Bump to version 0.6.1
- Fix gcc10 build, adding -fcommon to CPPFLAGS
* Tue May 15 2018 avindra@opensuse.org
- Update to 0.5.9
  * discard non tail chain states when locked
- includes 0.5.8
  * write to status fifo when a chain begins / ends
- cleanup with spec-cleaner
- fix compilation with distribution rpm opt flags
- refresh example config file
* Fri Feb 10 2017 luke.nukem.jones@gmail.com
- Update to 0.5.7
  * No changelog provided
* Wed Oct  5 2016 luke.nukem.jones@gmail.com
- Add missing LICENSE to package
* Fri Jul 15 2016 luke.nukem.jones@gmail.com
- Move to pkgconfig
